unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, Menus, unit2, ExtDlgs;

type
  TForm1 = class(TForm)
    MainMenu1: TMainMenu;
    Soubr1: TMenuItem;
    Novy1: TMenuItem;
    N1: TMenuItem;
    Otevt1: TMenuItem;
    Uloit1: TMenuItem;
    N2: TMenuItem;
    Konec1: TMenuItem;
    Vykresli1: TMenuItem;
    Lomenouru1: TMenuItem;
    Image1: TImage;
    OpenPictureDialog1: TOpenPictureDialog;
    SavePictureDialog1: TSavePictureDialog;
    procedure Lomenouru1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Otevt1Click(Sender: TObject);
    procedure Uloit1Click(Sender: TObject);
    procedure Novy1Click(Sender: TObject);
    procedure Konec1Click(Sender: TObject);
  private
    points:TPoints;
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Lomenouru1Click(Sender: TObject);
begin
 if form2.showModal = mrOk then
 begin
  points := form2.getPoints;
  Image1.Canvas.Polyline(points);
 end;
end;

procedure TForm1.FormCreate(Sender: TObject);
var orig:TColor;
begin
 orig:=Image1.Canvas.Pen.Color;
 Image1.Canvas.Pen.Color:=Image1.Canvas.Brush.Color;
 Image1.Canvas.FillRect(Rect(0,0,image1.Width,image1.Height));
 Image1.Canvas.Pen.Color:=orig;
end;

procedure TForm1.Otevt1Click(Sender: TObject);
begin
 if OpenPictureDialog1.Execute then
  Image1.Picture.LoadFromFile(OpenPictureDialog1.FileName);
end;

procedure TForm1.Uloit1Click(Sender: TObject);
begin
 if SavePictureDialog1.Execute then
  Image1.Picture.SaveToFile(SavePictureDialog1.FileName);
end;

procedure TForm1.Novy1Click(Sender: TObject);
begin
 FormCreate(sender);
end;

procedure TForm1.Konec1Click(Sender: TObject);
begin
 Application.Terminate;
end;

end.


