unit Unit2;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TPoints = array of TPoint;
  TForm2 = class(TForm)
    ComboBox1: TComboBox;
    Button1: TButton;
    Button2: TButton;
    Label1: TLabel;
    Label2: TLabel;
    procedure ComboBox1Change(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure FormCreate(Sender: TObject);

  private
    points :TPoints;
    origHeight:integer;
    { Private declarations }
  public
    xCoords:array of TEdit;
    yCoords:array of TEdit;
    { Public declarations }
    function getPoints:TPoints;
    procedure clean;
  end;

var
  Form2: TForm2;

implementation

function TForm2.getPoints:TPoints;
begin
 getPoints := points;
end;
{$R *.dfm}

procedure TForm2.ComboBox1Change(Sender: TObject);
var pointsCount,i,origLen:integer;
begin
 pointsCount := strtoint(combobox1.Items[combobox1.itemindex]);
 setLength(xCoords,pointsCount);
 setLength(yCoords,pointsCount);
 setLength(points,pointsCount);
 for i:=0 to pointsCount-1 do
 begin
  xCoords[i] := TEdit.Create(self);
  xCoords[i].Parent := self;
  xCoords[i].Top := 90 + i*22;
  xCoords[i].Left:= 10;
  xCoords[i].Visible := true;
  yCoords[i] := TEdit.Create(self);
  yCoords[i].Parent := self;
  yCoords[i].Top := 90 + i*22;
  yCoords[i].Left:= 140;
  yCoords[i].Visible := true;
 end;
 origHeight := form2.Height;
 form2.Height := 90 + (pointsCount+2)*22;
end;

procedure TForm2.Button1Click(Sender: TObject);
var i:integer;
begin
 i:=0;
 while (i<length(xCoords)) and (xCoords[i].Text <>'') and
      (yCoords[i].Text<>'')do
  i:=i+1;
 if i<length(xCoords) then
    ModalResult := mrNone else
 begin
  for i:=0 to length(xCoords)-1 do
  begin
    points[i].x := StrToInt(xCoords[i].Text);
    points[i].y := StrToInt(yCoords[i].Text);
  end;
 end;
end;

procedure TForm2.clean;
var i:integer;
begin
 for i:=0 to length(xCoords)-1 do
 begin
  xCoords[i].Visible := false;
  yCoords[i].Visible := false;
  xCoords[i].DestroyComponents;
  xCoords[i].Destroy;
  yCoords[i].DestroyComponents;
  yCoords[i].Destroy;
 end;
 setLength(xCoords,0);
 setLength(yCoords,0);
 ComboBox1.ItemIndex :=-1;
 ComboBox1.text := 'Poet bod lomen ry';
 self.Height := origHeight;
end;

procedure TForm2.FormShow(Sender: TObject);
begin
 clean;
end;

procedure TForm2.FormCreate(Sender: TObject);
begin
 origHeight := height;
end;

end.
